Subject: Re: bug#32267: dd's ucase and lcase and LC_CTYPE.

From: Paul Eggert <[email-masked]>
Date: Thu, 26 Jul 2018 02:21:35 -0700

Yes, this is a known issue with dd as with many other coreutils programs. 
Strictly speaking as I understand it, it is not a deviation from POSIX, since 
POSIX does not require support for locales with multibyte encodings. Still, it 
would be nice to fix dd at some point, although it'd be a pain to do correctly 
and efficiently and it's long been low priority since hardly anybody needs or 
uses this feature on any platform.